package view;

import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class ParameterPanel extends JPanel
{
	private static final long serialVersionUID = 1L;
	private JLabel parameters;
private JComboBox k_combo;
	
	private int k_max;
	private int d_max;
	private int iterationLimit;
	private int tabuListLength;

	public ParameterPanel ()
	{
		Integer[] k_maxs = { 1, 2, 3 };
		k_combo = new JComboBox(k_maxs);
		k_combo.setSelectedIndex(1);
		this.add(k_combo);
	}

	/**
	 * @return the k_max
	 */
	public int getK_max ()
	{
		return (Integer) k_combo.getSelectedItem();
	}

	/**
	 * @param kMax
	 *          the k_max to set
	 */
	public void setK_max (int kMax)
	{
		k_max = kMax;
	}

	/**
	 * @return the d_max
	 */
	public int getD_max ()
	{
		return d_max;
	}

	/**
	 * @param dMax
	 *          the d_max to set
	 */
	public void setD_max (int dMax)
	{
		d_max = dMax;
	}

	/**
	 * @return the iterationLimit
	 */
	public int getIterationLimit ()
	{
		return iterationLimit;
	}

	/**
	 * @param iterationLimit
	 *          the iterationLimit to set
	 */
	public void setIterationLimit (int iterationLimit)
	{
		this.iterationLimit = iterationLimit;
	}

	/**
	 * @return the tabuListLength
	 */
	public int getTabuListLength ()
	{
		return tabuListLength;
	}

	/**
	 * @param tabuListLength
	 *          the tabuListLength to set
	 */
	public void setTabuListLength (int tabuListLength)
	{
		this.tabuListLength = tabuListLength;
	}

}
