package test;

import junit.framework.Assert;

import org.junit.Before;
import org.junit.Test;

public class TabuListContainer_Test extends AbstractTestCase
{
	@Before
	public void setUp () throws Exception
	{
		baseSetUp();
	}
	
	@Test
	public void testTabuListContainer ()
	{
		tabuListContainer.addMove(2.5, 3);
		Assert.assertTrue(tabuListContainer.contains(2.5, 3));
		tabuListContainer.resetAllTabuList();
		Assert.assertFalse(tabuListContainer.contains(2.5, 3));
	}
	
	@Test(expected = IllegalArgumentException.class)
	public void testTooLargeNeighborhoodAddMove ()
	{
		tabuListContainer.addMove(203.49238, 5);
	}
	
	@Test(expected = IllegalArgumentException.class)
	public void testTooLargeNeighborhoodContains ()
	{
		tabuListContainer.contains(203.49238, 5);
	}
	
	
}
