/**
 * 
 */
package view;

import javax.swing.JButton;
import javax.swing.JPanel;

import control.InteractiveController;

/**
 * @author jerome
 * 
 */
public class ControlPanel extends JPanel
{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public ControlPanel (InteractiveController controller)
	{
		JButton start = new JButton("Start");
		JButton step = new JButton("Step");
		JButton stop = new JButton("Stop");
		JButton newButton = new JButton("New");
		this.add(start);
		this.add(step);
		this.add(stop);
		this.add(newButton);
		start.addActionListener(controller);
		step.addActionListener(controller);
		stop.addActionListener(controller);
		newButton.addActionListener(controller);
		start.setActionCommand("start");
		step.setActionCommand("step");
		stop.setActionCommand("stop");
		newButton.setActionCommand("new");
	}
}
